osl::FixedCapacityVectorPushBack< T > Class Template Reference

`#include <container.h>`

## Public Member Functions

| FixedCapacityVectorPushBack (T **vPtr_, T *limit_)
| ~FixedCapacityVectorPushBack ()
void | push_back (const T &e)

## Private Attributes

T * | ptr
T ** | vPtr
T * | limit

## Detailed Description

template<typename T>
class osl::FixedCapacityVectorPushBack< T >

Definition at line 103 of file container.h.

## Constructor & Destructor Documentation

## FixedCapacityVectorPushBack()

template<typename T>

osl::detail::FixedCapacityVectorPushBack< T >::FixedCapacityVectorPushBack | ( | T ** | vPtr_,
|  | T * | limit_ )

inline

Definition at line 111 of file container.h.

## ~FixedCapacityVectorPushBack()

template<typename T>

osl::detail::FixedCapacityVectorPushBack< T >::~FixedCapacityVectorPushBack | ( |  | ) |

inline

Definition at line 118 of file container.h.

## Member Function Documentation

## push_back()

template<typename T>

void osl::detail::FixedCapacityVectorPushBack< T >::push_back | ( | const T & | e | ) |

inline

Definition at line 122 of file container.h.

## Member Data Documentation

## limit

template<typename T>

T* osl::detail::FixedCapacityVectorPushBack< T >::limit

private

Definition at line 108 of file container.h.

## ptr

template<typename T>

T* osl::detail::FixedCapacityVectorPushBack< T >::ptr

private

Definition at line 105 of file container.h.

## vPtr

template<typename T>

T** osl::detail::FixedCapacityVectorPushBack< T >::vPtr

private

Definition at line 106 of file container.h.

The documentation for this class was generated from the following file:

- container.h